## org.apache.poi.hwpf.model
Class SectionTable

    java.lang.Object
      org.apache.poi.hwpf.model.SectionTable

Direct Known Subclasses:
  OldSectionTable

    @Internal
    public class SectionTable

extends java.lang.Object

Author:
  Ryan Ackley

Field Summary
`protected java.util.ArrayList<SEPX>` `_sections`
`protected java.util.List<TextPiece>` `_text`

Constructor Summary
`SectionTable()`
`SectionTable(byte[] documentStream, byte[] tableStream, int offset, int size, int fcMin, TextPieceTable tpt, int mainLength)`

Method Summary
`void` `adjustForInsert(int listIndex, int length)`
`java.util.ArrayList<SEPX>` `getSections()`
`void` `writeTo(HWPFFileSystem sys, int fcMin)` Deprecated.
`void` `writeTo(HWPFOutputStream wordDocumentStream, HWPFOutputStream tableStream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _sections

    protected java.util.ArrayList<SEPX> _sections

### _text

    protected java.util.List<TextPiece> _text

Constructor Detail

### SectionTable

    public SectionTable()

### SectionTable

    public SectionTable(byte[] documentStream,
                        byte[] tableStream,
                        int offset,
                        int size,
                        int fcMin,
                        TextPieceTable tpt,
                        int mainLength)

Method Detail

### adjustForInsert

    public void adjustForInsert(int listIndex,
                                int length)

### getSections

    public java.util.ArrayList<SEPX> getSections()

### writeTo

    @Deprecated
    public void writeTo(HWPFFileSystem sys,
                                   int fcMin)
                 throws java.io.IOException

  Deprecated.

  Throws:
    `java.io.IOException`

### writeTo

    public void writeTo(HWPFOutputStream wordDocumentStream,
                        HWPFOutputStream tableStream)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.